Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
GroupObject Class Reference

`#include <OpenFlipper/common/GroupObject.hh>`

Inheritance diagram for GroupObject:

## Public Member Functions
| GroupObject (const GroupObject &_object)
| GroupObject (QString _groupName="Group", GroupObject *_parent=0)
virtual | ~GroupObject ()
| destructor
BaseObject * | copy ()
Public Member Functions inherited from BaseObject
| BaseObject (const BaseObject &_object)
| BaseObject (BaseObject *_parent=0)
virtual void | cleanup ()
virtual QString | getObjectinfo ()
| Get all Info for the Object as a string.
virtual void | printObjectInfo ()
| Print all information about the object.
void | dumpTree ()
| Debugging function, writing the subtree to output.
int | row () const
| get the row of this item from the parent
BaseObject * | parent ()
| Get the parent item ( 0 if rootitem )
const BaseObject * | parent () const
| get the row of this item from the parent
void | setParent (BaseObject *_parent)
| Set the parent pointer.
BaseObject * | childExists (int _objectId)
| Check if the element exists in the subtree of this element.
BaseObject * | childExists (QString _name)
| Check if the element exists in the subtree of this element.
void | appendChild (BaseObject *child)
| add a child to this node
BaseObject * | child (int row)
| return a child
int | childCount () const
| get the number of children
void | removeChild (BaseObject *_item)
| Remove a child from this object.
QList< BaseObject * > | getLeafs ()
| get all leafes of the tree below this object ( These will be all visible objects )
void | deleteSubtree ()
| delete the whole subtree below this item ( The item itself is not touched )
int | group () const
bool | isGroup () const
| Check if object is a group.
bool | isInGroup (int _id) const
bool | isInGroup (QString _name) const
std::vector< int > | getGroupIds ()
QStringList | getGroupNames ()
void | setObjectData (QString _dataName, PerObjectData *_data)
void | clearObjectData (QString _dataName)
| Clear the object data pointer ( this will not delete the object!! )
bool | hasObjectData (QString _dataName)
| Checks if object data with given name is available.
PerObjectData * | objectData (QString _dataName)
| Returns the object data pointer.
void | deleteData ()
| Delete all data attached to this object ( calls delete on each object )
int | id () const
int | persistentId () const
void | persistentId (int _id)
bool | dataType (DataType _type) const
DataType | dataType () const
void | setDataType (DataType _type)
bool | target ()
void | target (bool _target)
bool | source ()
void | source (bool _source)
bool | flag (QString _flag)
void | setFlag (QString _flag, bool _set)
QStringList | flags ()
virtual bool | visible ()
| return if object is visible
virtual void | visible (bool _visible)
| Sets visiblity.
BaseObject * | last ()
BaseObject * | next ()
int | level ()
void | setFromFileName (const QString &_filename)
QString | path () const
| return the path to the object ( defaults to "." if unset )
void | setPath (const QString &_path)
| set the path to the object.
QString | name () const
| return the name of the object. The name defaults to NONAME if unset.
virtual void | setName (QString _name)
| path to the file from which the object is loaded ( defaults to "." )
QString | filename () const
| return the filename of the object
void | setFileName (const QString &_filename)
| set the filename for this object
QMap< QString, PerObjectData * > & | getPerObjectDataMap ()
| get reference to map of all perObject Datas More...
QString & | getCommentByKey (const QString &key)
| Get comment for the specified key. More...
const QString | getCommentByKey (const QString &key) const
| Get comment for the specified key. More...
bool | hasCommentForKey (const QString &key) const
bool | hasComments () const
void | clearComment (const QString &key)
| Get comment for the specified key. More...
void | clearAllComments ()
| Get comment for the specified key. More...
const QMap< QString, QString > & | getAllComments () const
const QString | getAllCommentsFlat () const

## Additional Inherited Members
Signals inherited from BaseObject
void | objectSelectionChanged (int _objectId)
void | visibilityChanged (int _objectId)
void | objectPropertiesChanged (int _objectId)
Static Public Attributes inherited from BaseObject
static int | NOOBJECT = -1
Protected Member Functions inherited from BaseObject
virtual void | update (UpdateType _type=UPDATE_ALL)
| This function is called to update the object. More...
Protected Attributes inherited from BaseObject
bool | visible_

## Detailed Description

This class provides grouping functionality. Datacontrol normally manages grouping.

Definition at line 83 of file GroupObject.hh.

## Constructor & Destructor Documentation

GroupObject::GroupObject | ( | const GroupObject & | _object | ) |

copy constructor

Definition at line 70 of file GroupObject.cc.

GroupObject::GroupObject | ( | QString | _groupName = `"Group"`,
|  | GroupObject * | _parent = `0`
| ) |  |

constructor

Parameters

  _groupName | Name of the new Group object
  _parent | The parent object of this object

Definition at line 77 of file GroupObject.cc.

## Member Function Documentation

BaseObject * GroupObject::copy | ( |  | ) |
| virtual

return a full copy of this object. The object will not be a part of the object tree. This has to be done with the setParent() function.

Reimplemented from BaseObject.

Definition at line 88 of file GroupObject.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/common/GroupObject.hh
- OpenFlipper/common/GroupObject.cc